import request from "@/utils/request";

export function getBjmxCx(data) { return request({ url: '/api/gxzz/gzSczzMfgDetailCx/getBjmxCx', method: 'post', data }) }
export function bjmxCxBase(data) { return request({ url: '/api/gxzz/gzSczzMfgDetailCx/bjmxCxBase', method: 'post', data }) }
export function getGJgxgstj(data) { return request({ url: '/dmMfgWkhour/getGJgxgstj', method: 'post', data }) }

export function exportBjmxCx(data) {
  return request({
    url: '/api/gxzz/gzSczzMfgDetailCx/exportBjmxCx',
    method: 'post',
    responseType: 'blob',
    data
  })
}




export function getBjmxBygroup(data) {return request({ url: '/api/gxzz/gzSczzMfgDetailCx/getBjmxBygroup', method: 'post', data })}

export function zzwgQkTjList(data) {return request({ url: '/api/scgl/gjProdControl/zzwgQkTjList', method: 'post', data })}
export function zzwgQkJsTjList(data) {return request({ url: '/api/scgl/gjProdControl/zzwgQkJsTjList', method: 'post', data })}
//批量修改
export function plzzjsyf(data) {return request({ url: '/api/scgl/gjProdControl/plzzjsyf', method: 'post', data })}
export function plzzjsyf1(data) {return request({ url: '/api/scgl/gjProdControl/plzzjsyf1', method: 'post', data })}

export function zzwgQkTjBase(data) {
  return request({
    url: '/api/scgl/gjProdControl/zzwgQkTjBase',
    method: 'post',
    data
  })
}

export function bmclwgTjBase(data) {
  return request({
    url: '/api/scgl/gjProdControl/bmclwgTjBase',
    method: 'post',
    data
  })
}

export function selectBmclWgtj(data) {
  return request({
    url: '/api/scgl/gjProdControl/selectBmclWgtj',
    method: 'post',
    data
  })
}


